Name: ipsec-tools
Version: 0.2.5
Release: 0.7.1AX
Summary: Tools for configuring and using IPSEC
License: BSD
Group: System Environment/Base
URL: http://ipsec-tools.sourceforge.net/
Source: http://prdownload.sourceforge.net/ipsec-tools/ipsec-tools-%{version}.tar.gz
Source1: ipsec.h
Source2: pfkeyv2.h
Source3: racoon.conf
Source4: psk.txt
Source5: xfrm.h
Patch: ipsec-tools-0.2.4-racoon-dest.patch
Patch2: isakmp.c.diff
Patch3: ipsec-tools-0.2.5-verifycb.patch
Patch4: ipsec-tools-fix.diff
Patch5: ipsec-tools-adminport.patch
BuildPrereq: openssl-devel, krb5-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: initscripts >= 7.31.9.EL

%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:
 
        - libipsec, a PFKeyV2 library
	- setkey, a program to directly manipulate policies and SAs
	- racoon, an IKEv1 keying daemon

%prep
%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1 -b .verifycb
%patch4 -p0 -b .fix
%patch5 -p1

mkdir -p kernel-headers/linux
cp %{SOURCE1} %{SOURCE2} %{SOURCE5} kernel-headers/linux

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/ \
 --libdir=/%{_lib} \
 --sysconfdir=/etc \
 --mandir=%{_mandir} \
 --with-kernel-headers=`pwd`/kernel-headers \
 --enable-adminport
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make install DESTDIR=$RPM_BUILD_ROOT
# no devel stuff for now
rm -rf $RPM_BUILD_ROOT/%{_lib}/libipsec.{a,la} \
      $RPM_BUILD_ROOT/%{_includedir} \
      $RPM_BUILD_ROOT/%{_mandir}/man3

rm -f $RPM_BUILD_ROOT/etc/racoon/{psk.txt,psk.txt.dist,racoon.conf,racoon.conf.dist}
install -m 600 %{SOURCE3} \
  $RPM_BUILD_ROOT/etc/racoon/racoon.conf
install -m 600 %{SOURCE4} \
  $RPM_BUILD_ROOT/etc/racoon/psk.txt
  
  
  
mkdir -m 0700 -p $RPM_BUILD_ROOT/etc/racoon/certs

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc src/racoon/samples/racoon.conf src/racoon/samples/psk.txt
%doc src/racoon/doc/FAQ
%doc ChangeLog NEWS README
/%{_lib}/*
/sbin/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir /etc/racoon
%dir /etc/racoon/certs
%config(noreplace) /etc/racoon/psk.txt
%config(noreplace) /etc/racoon/racoon.conf

%changelog
* Mon Jul 11 2005 Bear&Beer <xzyang@redflag-linux.com> 0.2.5-0.7.1AX
- modified the dependency fo initscripts

* Fri Feb 25 2005 Bill Nottingham <notting@redhat.com> 0.2.5-0.7
- add patch for potential validation issue when parsing isakmp headers
- correct handling of adminport on startup (#148950)

* Mon Sep 27 2004 Bill Nottingham <notting@redhat.com>
- add --enable-adminport (#129611)

* Wed Jun 23 2004 Nalin Dahyabhai <nalin@redhat.com>
- backport fix for verification callback bug from 0.3.3 (#126568)

* Wed Apr 14 2004 Bill Nottingham <notting@redhat.com>
- add patch for potential remote DoS (CAN-2004-0403)

* Tue Apr  6 2004 Bill Nottingham <notting@redhat.com>
- update to 0.2.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 23 2004 Bill Nottingham <notting@redhat.com>
- update to 0.2.4, fix racoon install location (#116374, <kajtzu@fi.basen.net>)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  8 2003 Bill Nottingham <notting@redhat.com> 0.2.2-8
- rebuild

* Fri Aug 29 2003 Bill Nottingham <notting@redhat.com> 0.2.2-7
- add fix for #103238

* Tue Aug  5 2003 Bill Nottingham <notting@redhat.com> 0.2.2-6
- update kernel interface bits, rebuild against them

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> 0.2.2-5
- rebuild

* Wed Jul  2 2003 Bill Notitngham <notting@redhat.com> 0.2.2-4
- ship a much more pared-down racoon.conf and psk.txt

* Thu Jun  5 2003 Bill Notitngham <notting@redhat.com> 0.2.2-3
- update pfkey header for current kernels

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May  2 2003 Bill Nottingham <notting@redhat.com> 0.2.2-1
- update to 0.2.2

* Fri Mar  7 2003 Bill Nottingham <notting@redhat.com>
- initial build
